Skip to main content
GET
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
enum<string>

Continuation cursor from the previous response nextCursor. Omit for the first page; null nextCursor means there are no more pages.

Available options:
addTestCoverage,
addTestCoverageFromJira,
autoAgentsMdMaintainer,
autoDocsMaintainer,
publicApiReleaseMaintainer,
commitOfTheDay,
customerHealthMonitoringAgent,
deadCodeCleanup,
dependencySweepAgent,
autoFixCi,
autoFixSentryError,
dailySlackChangelog,
duplicateTicketDetector,
fixBugsReportedInSlack,
enrichGithubIssue,
enrichJiraIssue,
enrichLinearIssue,
hubspotCallTaskCoach,
hubspotEmailTaskDrafter,
hubspotTicketToLinearBug,
prDescription,
prReview,
pagePerformanceReport,
prioritizeSentry,
productFaqAgent,
productFinanceAgent,
queryPerformanceReport,
securityFixFromJira,
securityScan,
skillProgressionMap,
slackChannelListener,
slopCop,
testAudit,
staleCodeComments,
stalePullRequestNotifier,
summarizeChangesDaily,
triageNewJiraBug
limit
integer
default:50

Maximum number of items to return in one page. Use nextCursor from the response to fetch more items.

Required range: 1 <= x <= 100

Response

List agent templates

items
object[]
required
nextCursor
enum<string> | null
required
Available options:
addTestCoverage,
addTestCoverageFromJira,
autoAgentsMdMaintainer,
autoDocsMaintainer,
publicApiReleaseMaintainer,
commitOfTheDay,
customerHealthMonitoringAgent,
deadCodeCleanup,
dependencySweepAgent,
autoFixCi,
autoFixSentryError,
dailySlackChangelog,
duplicateTicketDetector,
fixBugsReportedInSlack,
enrichGithubIssue,
enrichJiraIssue,
enrichLinearIssue,
hubspotCallTaskCoach,
hubspotEmailTaskDrafter,
hubspotTicketToLinearBug,
prDescription,
prReview,
pagePerformanceReport,
prioritizeSentry,
productFaqAgent,
productFinanceAgent,
queryPerformanceReport,
securityFixFromJira,
securityScan,
skillProgressionMap,
slackChannelListener,
slopCop,
testAudit,
staleCodeComments,
stalePullRequestNotifier,
summarizeChangesDaily,
triageNewJiraBug,
null